Subject: Re: bug#63578: 29.0.91; Org Cannot tangle with tramp using sudo

From: Kostadin Ninev <[email-masked]>
Date: Fri, 19 May 2023 09:12:49 +0000

I did a test with (setq tramp-verbose 9) and it produced the following buffers:

*debug tramp/cache nil*
;; Emacs: 29.0.91 Tramp: 2.6.0.29.1 -*- mode: outline; coding: utf-8; -*-
11:51:28.340737 tramp-set-connection-property (7) # tramp-version 2.6.0.29.1

*debug tramp/ssh srv*
;; Emacs: 29.0.91 Tramp: 2.6.0.29.1 -*- mode: outline; coding: utf-8; -*-
11:51:28.340997 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342101 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342515 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342702 tramp-get-connection-property (7) # copy-program undef; cache used: nil

*debug tramp/sudo root@srv*
;; Emacs: 29.0.91 Tramp: 2.6.0.29.1 -*- mode: outline; coding: utf-8; -*-
11:51:28.341198 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342217 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342630 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342780 tramp-get-connection-property (7) # copy-program undef; cache used: nil
11:51:28.342891 tramp-add-hops (5) # Add (#("^srv$" 1 4 (tramp-default t)) #("^root$" 1 5 (tramp-default t)) #("/ssh:srv:" 0 9 (tramp-ad-hoc t))) to ‘tramp-default-proxies-alist’
11:51:28.343172 tramp-get-file-property (8) # /etc/test.conf file-exists-p undef; inhibit: 10; cache used: nil; cached at: nil
11:51:28.343246 tramp-get-file-property (8) # /etc/test.conf file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
11:51:28.343306 tramp-get-connection-property (7) # file-exists undef; cache used: nil
11:51:28.343355 tramp-get-file-exists-command (5) # Finding command to check if file exists
11:51:28.343432 tramp-get-connection-property (7) # test undef; cache used: nil
11:51:28.376218 tramp-get-test-command (5) # Finding a suitable ‘test’ command
11:51:28.376290 tramp-get-connection-property (7) # null-device undef; cache used: nil
11:51:28.376492 tramp-set-connection-property (7) # null-device /dev/null
11:51:28.376512 tramp-get-connection-property (7) # process-name nil; cache used: nil
11:51:28.376530 tramp-get-connection-property (7) # process-name nil; cache used: nil
11:51:28.376546 tramp-get-connection-property (7) # process-buffer nil; cache used: nil
11:51:28.376565 tramp-get-connection-property (7) # process-buffer nil; cache used: nil
11:51:28.376579 tramp-set-connection-property (7) # process-buffer nil
11:51:28.376839 tramp-maybe-open-connection (3) # Opening connection nil for root@srv using sudo...
11:51:28.376985 tramp-call-process (6) # ‘locale -a’ nil  *temp*-467150
11:51:28.377857 tramp-call-process (6) # 0
bg_BG.utf8
C
C.UTF-8
en_US.utf8
POSIX
11:51:28.377890 tramp-get-local-locale (7) # locale en_US.utf8
11:51:36.189562 tramp-compute-multi-hops (1) # Quit: "Quit", ""
11:51:36.189751 tramp-maybe-open-connection (3) # Opening connection nil for root@srv using sudo...failed
11:51:36.190872 tramp-get-connection-property (7) # process-buffer nil; cache used: t
11:51:36.190925 tramp-get-file-property (8) # / file-truename nil; inhibit: 10; cache used: nil; cached at: nil
11:51:36.190950 tramp-flush-directory-properties (8) # /
11:51:36.190984 tramp-flush-connection-properties (7) # (tramp-file-name sudo root nil srv nil nil nil) (process-buffer null-device)

* debug tramp/sudo nil*
11:51:28.341409 tramp-add-hops (5) # Add (nil nil #("/ssh:srv:" 0 9 (tramp-ad-hoc t))) to ‘tramp-default-proxies-alist’
11:51:28.342332 tramp-add-hops (5) # Add (nil nil #("/ssh:srv:" 0 9 (tramp-ad-hoc t))) to ‘tramp-default-proxies-alist’

I don't know much about debugging and tramp but when I do the same on emacs 28 I get:

tramp-compute-multi-hops (5) # Add (#("^srv$" 1 4 (tramp-default t)) #("^root$" 1 5 (tramp-default t)) #("/ssh:srv:" 0 9 (tramp-ad-hoc t))) to ‘tramp-default-proxies-alist’

instead of 

11:51:36.189562 tramp-compute-multi-hops (1) # Quit: "Quit", "" 

Maybe this will help narrow down the issue ?

On Friday, May 19, 2023 10:28 AM (+03:00), Ihor Radchenko wrote:

> Kostadin Ninev  writes:
> 
> > No It succeeds and after that command I can even tangle the file until I 
> > restart emacs.
> 
> Curious. But I still do not see anything wrong on the Org side.
> Maybe Eli has more to say.
> 

-- 
Kostadin Ninev.